List filled requirements
curl --request POST \
--url https://dev-api.amplify.xyz/v1/numbers/filled_requirements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_code": "CH"
}
'import requests
url = "https://dev-api.amplify.xyz/v1/numbers/filled_requirements"
payload = { "country_code": "CH" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({country_code: 'CH'})
};
fetch('https://dev-api.amplify.xyz/v1/numbers/filled_requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 1,
"message": "Filled requirements retrieved successfully",
"data": [
{
"id": 34,
"requirement_id": "0b42b42a-d827-4b53-a2bb-8eeef919f798",
"name": "Company Registration Number (Multi-Format)",
"type": "textual",
"country_code": "CH",
"value": null,
"other_data": ""
}
]
}{
"status": 0,
"message": "The country code field is required."
}Numbers
List filled requirements
Retrieve regulatory requirements and saved values for a country.
POST
/
v1
/
numbers
/
filled_requirements
List filled requirements
Returns the regulatory information required for the country and any values already saved by the account.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
